質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
87.20%
Ruby on Rails 5

Ruby on Rails 5は、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。

Ruby

Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

Sass

Sassは、プログラミング風のコードでCSSを生成できるスタイルシート言語です。 scss ファイルを、変換(コンパイル)してCSSファイルを作成します。

解決済

mini_magickをimportできない。

piyo_tan
piyo_tan

総合スコア16

Ruby on Rails 5

Ruby on Rails 5は、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。

Ruby

Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

Sass

Sassは、プログラミング風のコードでCSSを生成できるスタイルシート言語です。 scss ファイルを、変換(コンパイル)してCSSファイルを作成します。

1回答

0評価

0クリップ

1091閲覧

投稿2018/09/10 06:12

現在、個人でアプリケーションを作成しております。
画像を投稿し、リサイズしてページに貼り付けたく、mini_magickをbundle installしたのですが
application.scssに@importの記述をしたところ、
『Sass::SyntaxError』
『File to import not found or unreadable: mini_magick.』
のエラーが発生いたしました。色々と調べておりますが、原因が未だ分かりません。
アドバイスをいただけましたら幸いです。

『application.scss』

@import "bootstrap"; @import "font-awesome"; @import "mini_magick";

『エラー内容』

File to import not found or unreadable: mini_magick. Load paths: /home/ubuntu/workspace/otetsudai/app/assets/config /home/ubuntu/workspace/otetsudai/app/assets/images /home/ubuntu/workspace/otetsudai/app/assets/javascripts /home/ubuntu/workspace/otetsudai/app/assets/stylesheets /usr/local/rvm/gems/ruby-2.4.0/gems/bootstrap_form-2.7.0/app/assets/stylesheets /usr/local/rvm/gems/ruby-2.4.0/gems/jquery-rails-4.3.3/vendor/assets/javascripts /usr/local/rvm/gems/ruby-2.4.0/gems/swiper-rails-1.0.4/app/assets/javascripts /usr/local/rvm/gems/ruby-2.4.0/gems/swiper-rails-1.0.4/app/assets/stylesheets /usr/local/rvm/gems/ruby-2.4.0/gems/font-awesome-rails-4.7.0.4/app/assets/fonts /usr/local/rvm/gems/ruby-2.4.0/gems/font-awesome-rails-4.7.0.4/app/assets/stylesheets /usr/local/rvm/gems/ruby-2.4.0/gems/coffee-rails-4.2.2/lib/assets/javascripts /usr/local/rvm/gems/ruby-2.4.0/gems/actioncable-5.2.0/lib/assets/compiled /usr/local/rvm/gems/ruby-2.4.0/gems/activestorage-5.2.0/app/assets/javascripts /usr/local/rvm/gems/ruby-2.4.0/gems/actionview-5.2.0/lib/assets/compiled /usr/local/rvm/gems/ruby-2.4.0/gems/turbolinks-source-5.1.0/lib/assets/javascripts /home/ubuntu/workspace/otetsudai/node_modules /usr/local/rvm/gems/ruby-2.4.0/gems/popper_js-1.12.9/assets/javascripts /usr/local/rvm/gems/ruby-2.4.0/gems/bootstrap-4.1.1/assets/stylesheets /usr/local/rvm/gems/ruby-2.4.0/gems/bootstrap-4.1.1/assets/javascripts /usr/local/rvm/gems/ruby-2.4.0/gems/bootstrap-4.1.1/assets/stylesheets

良い質問の評価を上げる

以下のような質問は評価を上げましょう

  • 質問内容が明確
  • 自分も答えを知りたい
  • 質問者以外のユーザにも役立つ

評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

気になる質問をクリップする

クリップした質問は、後からいつでもマイページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

  • プログラミングに関係のない質問
  • やってほしいことだけを記載した丸投げの質問
  • 問題・課題が含まれていない質問
  • 意図的に内容が抹消された質問
  • 過去に投稿した質問と同じ内容の質問
  • 広告と受け取られるような投稿

評価を下げると、トップページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

まだ回答がついていません

会員登録して回答してみよう

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
87.20%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問

同じタグがついた質問を見る

Ruby on Rails 5

Ruby on Rails 5は、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。

Ruby

Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

Sass

Sassは、プログラミング風のコードでCSSを生成できるスタイルシート言語です。 scss ファイルを、変換(コンパイル)してCSSファイルを作成します。